# Makefile.in generated by automake 1.15 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#
#  Copyright 2021 Northern.tech AS
#
#  This file is part of CFEngine 3 - written and maintained by Northern.tech AS.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at

#      http://www.apache.org/licenses/LICENSE-2.0
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
check_PROGRAMS = cleanup_test$(EXEEXT) condition_macros_test$(EXEEXT) \
	csv_writer_test$(EXEEXT) set_test$(EXEEXT) \
	csv_parser_test$(EXEEXT) env_file_test$(EXEEXT) \
	alloc_test$(EXEEXT) string_writer_test$(EXEEXT) \
	file_writer_test$(EXEEXT) fsattrs_test$(EXEEXT) \
	xml_writer_test$(EXEEXT) sequence_test$(EXEEXT) \
	json_test$(EXEEXT) misc_lib_test$(EXEEXT) \
	string_lib_test$(EXEEXT) thread_test$(EXEEXT) \
	file_lib_test$(EXEEXT) file_lock_test$(EXEEXT) \
	map_test$(EXEEXT) path_test$(EXEEXT) \
	logging_timestamp_test$(EXEEXT) refcount_test$(EXEEXT) \
	list_test$(EXEEXT) buffer_test$(EXEEXT) \
	ipaddress_test$(EXEEXT) rb-tree-test$(EXEEXT) \
	queue_test$(EXEEXT) stack_test$(EXEEXT) \
	threaded_queue_test$(EXEEXT) threaded_deque_test$(EXEEXT) \
	threaded_stack_test$(EXEEXT) version_comparison_test$(EXEEXT) \
	ring_buffer_test$(EXEEXT) libcompat_test$(EXEEXT) \
	definitions_test$(EXEEXT) glob_lib_test$(EXEEXT) \
	string_sequence_test$(EXEEXT) $(am__EXEEXT_1) $(am__EXEEXT_2)
@WITH_PCRE2_TRUE@am__append_1 = \
@WITH_PCRE2_TRUE@	regex_test

@WITH_OPENSSL_TRUE@am__append_2 = \
@WITH_OPENSSL_TRUE@	hash_test

# ENABLE_COVERAGE is set in top-level configure.ac
@ENABLE_COVERAGE_FALSE@am__append_3 = gcov-stub.c
subdir = tests/unit
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
	$(top_srcdir)/m4/adl_recursive_eval.m4 \
	$(top_srcdir)/m4/cf3_check_proper_func.m4 \
	$(top_srcdir)/m4/cf3_path_root_prog.m4 \
	$(top_srcdir)/m4/cf3_with_library.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/old-autoconf.m4 $(top_srcdir)/m4/snprintf.m4 \
	$(top_srcdir)/m4/strndup.m4 $(top_srcdir)/m4/tar.m4 \
	$(top_srcdir)/m4/cf3_gcc_flags.m4 \
	$(top_srcdir)/m4/cf3_platforms.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__DEPENDENCIES_1 =
libtest_la_DEPENDENCIES = ../../libutils/libutils.la \
	../../libcompat/libcompat.la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_libtest_la_OBJECTS = cmockery.lo test.lo
libtest_la_OBJECTS = $(am_libtest_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
@WITH_PCRE2_TRUE@am__EXEEXT_1 = regex_test$(EXEEXT)
@WITH_OPENSSL_TRUE@am__EXEEXT_2 = hash_test$(EXEEXT)
alloc_test_SOURCES = alloc_test.c
alloc_test_OBJECTS = alloc_test.$(OBJEXT)
alloc_test_LDADD = $(LDADD)
alloc_test_DEPENDENCIES = libtest.la
am_buffer_test_OBJECTS = buffer_test-buffer_test.$(OBJEXT)
buffer_test_OBJECTS = $(am_buffer_test_OBJECTS)
buffer_test_LDADD = $(LDADD)
buffer_test_DEPENDENCIES = libtest.la
am_cleanup_test_OBJECTS = cleanup_test.$(OBJEXT)
cleanup_test_OBJECTS = $(am_cleanup_test_OBJECTS)
cleanup_test_LDADD = $(LDADD)
cleanup_test_DEPENDENCIES = libtest.la
condition_macros_test_SOURCES = condition_macros_test.c
condition_macros_test_OBJECTS = condition_macros_test.$(OBJEXT)
condition_macros_test_LDADD = $(LDADD)
condition_macros_test_DEPENDENCIES = libtest.la
am_csv_parser_test_OBJECTS = csv_parser_test.$(OBJEXT)
csv_parser_test_OBJECTS = $(am_csv_parser_test_OBJECTS)
csv_parser_test_DEPENDENCIES = libtest.la
am_csv_writer_test_OBJECTS = csv_writer_test.$(OBJEXT)
csv_writer_test_OBJECTS = $(am_csv_writer_test_OBJECTS)
csv_writer_test_DEPENDENCIES = libtest.la
definitions_test_SOURCES = definitions_test.c
definitions_test_OBJECTS = definitions_test.$(OBJEXT)
definitions_test_LDADD = $(LDADD)
definitions_test_DEPENDENCIES = libtest.la
env_file_test_SOURCES = env_file_test.c
env_file_test_OBJECTS = env_file_test.$(OBJEXT)
env_file_test_LDADD = $(LDADD)
env_file_test_DEPENDENCIES = libtest.la
am_file_lib_test_OBJECTS = file_lib_test-file_lib_test.$(OBJEXT)
file_lib_test_OBJECTS = $(am_file_lib_test_OBJECTS)
file_lib_test_LDADD = $(LDADD)
file_lib_test_DEPENDENCIES = libtest.la
am_file_lock_test_OBJECTS = file_lock_test.$(OBJEXT)
file_lock_test_OBJECTS = $(am_file_lock_test_OBJECTS)
file_lock_test_LDADD = $(LDADD)
file_lock_test_DEPENDENCIES = libtest.la
am__file_writer_test_SOURCES_DIST = file_writer_test.c gcov-stub.c
@ENABLE_COVERAGE_FALSE@am__objects_1 = gcov-stub.$(OBJEXT)
am_file_writer_test_OBJECTS = file_writer_test.$(OBJEXT) \
	$(am__objects_1)
file_writer_test_OBJECTS = $(am_file_writer_test_OBJECTS)
file_writer_test_LDADD = $(LDADD)
file_writer_test_DEPENDENCIES = libtest.la
fsattrs_test_SOURCES = fsattrs_test.c
fsattrs_test_OBJECTS = fsattrs_test.$(OBJEXT)
fsattrs_test_LDADD = $(LDADD)
fsattrs_test_DEPENDENCIES = libtest.la
am_glob_lib_test_OBJECTS = glob_lib_test.$(OBJEXT)
glob_lib_test_OBJECTS = $(am_glob_lib_test_OBJECTS)
glob_lib_test_LDADD = $(LDADD)
glob_lib_test_DEPENDENCIES = libtest.la
am_hash_test_OBJECTS = hash_test.$(OBJEXT)
hash_test_OBJECTS = $(am_hash_test_OBJECTS)
hash_test_LDADD = $(LDADD)
hash_test_DEPENDENCIES = libtest.la
am_ipaddress_test_OBJECTS = ipaddress_test-ipaddress_test.$(OBJEXT)
ipaddress_test_OBJECTS = $(am_ipaddress_test_OBJECTS)
ipaddress_test_LDADD = $(LDADD)
ipaddress_test_DEPENDENCIES = libtest.la
json_test_SOURCES = json_test.c
json_test_OBJECTS = json_test.$(OBJEXT)
json_test_LDADD = $(LDADD)
json_test_DEPENDENCIES = libtest.la
am_libcompat_test_OBJECTS = libcompat_test-libcompat_test.$(OBJEXT)
libcompat_test_OBJECTS = $(am_libcompat_test_OBJECTS)
libcompat_test_LDADD = $(LDADD)
libcompat_test_DEPENDENCIES = libtest.la
am_list_test_OBJECTS = list_test.$(OBJEXT)
list_test_OBJECTS = $(am_list_test_OBJECTS)
list_test_LDADD = $(LDADD)
list_test_DEPENDENCIES = libtest.la
am_logging_timestamp_test_OBJECTS = logging_timestamp_test.$(OBJEXT)
logging_timestamp_test_OBJECTS = $(am_logging_timestamp_test_OBJECTS)
logging_timestamp_test_LDADD = $(LDADD)
logging_timestamp_test_DEPENDENCIES = libtest.la
map_test_SOURCES = map_test.c
map_test_OBJECTS = map_test.$(OBJEXT)
map_test_LDADD = $(LDADD)
map_test_DEPENDENCIES = libtest.la
misc_lib_test_SOURCES = misc_lib_test.c
misc_lib_test_OBJECTS = misc_lib_test-misc_lib_test.$(OBJEXT)
misc_lib_test_LDADD = $(LDADD)
misc_lib_test_DEPENDENCIES = libtest.la
misc_lib_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(misc_lib_test_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
path_test_SOURCES = path_test.c
path_test_OBJECTS = path_test.$(OBJEXT)
path_test_LDADD = $(LDADD)
path_test_DEPENDENCIES = libtest.la
am_queue_test_OBJECTS = queue_test.$(OBJEXT)
queue_test_OBJECTS = $(am_queue_test_OBJECTS)
queue_test_LDADD = $(LDADD)
queue_test_DEPENDENCIES = libtest.la
rb_tree_test_SOURCES = rb-tree-test.c
rb_tree_test_OBJECTS = rb-tree-test.$(OBJEXT)
rb_tree_test_LDADD = $(LDADD)
rb_tree_test_DEPENDENCIES = libtest.la
am_refcount_test_OBJECTS = refcount_test.$(OBJEXT)
refcount_test_OBJECTS = $(am_refcount_test_OBJECTS)
refcount_test_LDADD = $(LDADD)
refcount_test_DEPENDENCIES = libtest.la
regex_test_SOURCES = regex_test.c
regex_test_OBJECTS = regex_test.$(OBJEXT)
regex_test_LDADD = $(LDADD)
regex_test_DEPENDENCIES = libtest.la
ring_buffer_test_SOURCES = ring_buffer_test.c
ring_buffer_test_OBJECTS = ring_buffer_test.$(OBJEXT)
ring_buffer_test_LDADD = $(LDADD)
ring_buffer_test_DEPENDENCIES = libtest.la
sequence_test_SOURCES = sequence_test.c
sequence_test_OBJECTS = sequence_test.$(OBJEXT)
sequence_test_LDADD = $(LDADD)
sequence_test_DEPENDENCIES = libtest.la
set_test_SOURCES = set_test.c
set_test_OBJECTS = set_test.$(OBJEXT)
set_test_LDADD = $(LDADD)
set_test_DEPENDENCIES = libtest.la
am_stack_test_OBJECTS = stack_test.$(OBJEXT)
stack_test_OBJECTS = $(am_stack_test_OBJECTS)
stack_test_LDADD = $(LDADD)
stack_test_DEPENDENCIES = libtest.la
string_lib_test_SOURCES = string_lib_test.c
string_lib_test_OBJECTS = string_lib_test.$(OBJEXT)
string_lib_test_LDADD = $(LDADD)
string_lib_test_DEPENDENCIES = libtest.la
am_string_sequence_test_OBJECTS = string_sequence_test.$(OBJEXT)
string_sequence_test_OBJECTS = $(am_string_sequence_test_OBJECTS)
string_sequence_test_LDADD = $(LDADD)
string_sequence_test_DEPENDENCIES = libtest.la
string_writer_test_SOURCES = string_writer_test.c
string_writer_test_OBJECTS = string_writer_test.$(OBJEXT)
string_writer_test_LDADD = $(LDADD)
string_writer_test_DEPENDENCIES = libtest.la
thread_test_SOURCES = thread_test.c
thread_test_OBJECTS = thread_test.$(OBJEXT)
thread_test_LDADD = $(LDADD)
thread_test_DEPENDENCIES = libtest.la
am_threaded_deque_test_OBJECTS = threaded_deque_test.$(OBJEXT)
threaded_deque_test_OBJECTS = $(am_threaded_deque_test_OBJECTS)
threaded_deque_test_LDADD = $(LDADD)
threaded_deque_test_DEPENDENCIES = libtest.la
am_threaded_queue_test_OBJECTS = threaded_queue_test.$(OBJEXT)
threaded_queue_test_OBJECTS = $(am_threaded_queue_test_OBJECTS)
threaded_queue_test_LDADD = $(LDADD)
threaded_queue_test_DEPENDENCIES = libtest.la
am_threaded_stack_test_OBJECTS = threaded_stack_test.$(OBJEXT)
threaded_stack_test_OBJECTS = $(am_threaded_stack_test_OBJECTS)
threaded_stack_test_LDADD = $(LDADD)
threaded_stack_test_DEPENDENCIES = libtest.la
version_comparison_test_SOURCES = version_comparison_test.c
version_comparison_test_OBJECTS = version_comparison_test.$(OBJEXT)
version_comparison_test_LDADD = $(LDADD)
version_comparison_test_DEPENDENCIES = libtest.la
am_xml_writer_test_OBJECTS = xml_writer_test.$(OBJEXT)
xml_writer_test_OBJECTS = $(am_xml_writer_test_OBJECTS)
xml_writer_test_DEPENDENCIES = libtest.la
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libtest_la_SOURCES) alloc_test.c $(buffer_test_SOURCES) \
	$(cleanup_test_SOURCES) condition_macros_test.c \
	$(csv_parser_test_SOURCES) $(csv_writer_test_SOURCES) \
	definitions_test.c env_file_test.c $(file_lib_test_SOURCES) \
	$(file_lock_test_SOURCES) $(file_writer_test_SOURCES) \
	fsattrs_test.c $(glob_lib_test_SOURCES) $(hash_test_SOURCES) \
	$(ipaddress_test_SOURCES) json_test.c \
	$(libcompat_test_SOURCES) $(list_test_SOURCES) \
	$(logging_timestamp_test_SOURCES) map_test.c misc_lib_test.c \
	path_test.c $(queue_test_SOURCES) rb-tree-test.c \
	$(refcount_test_SOURCES) regex_test.c ring_buffer_test.c \
	sequence_test.c set_test.c $(stack_test_SOURCES) \
	string_lib_test.c $(string_sequence_test_SOURCES) \
	string_writer_test.c thread_test.c \
	$(threaded_deque_test_SOURCES) $(threaded_queue_test_SOURCES) \
	$(threaded_stack_test_SOURCES) version_comparison_test.c \
	$(xml_writer_test_SOURCES)
DIST_SOURCES = $(libtest_la_SOURCES) alloc_test.c \
	$(buffer_test_SOURCES) $(cleanup_test_SOURCES) \
	condition_macros_test.c $(csv_parser_test_SOURCES) \
	$(csv_writer_test_SOURCES) definitions_test.c env_file_test.c \
	$(file_lib_test_SOURCES) $(file_lock_test_SOURCES) \
	$(am__file_writer_test_SOURCES_DIST) fsattrs_test.c \
	$(glob_lib_test_SOURCES) $(hash_test_SOURCES) \
	$(ipaddress_test_SOURCES) json_test.c \
	$(libcompat_test_SOURCES) $(list_test_SOURCES) \
	$(logging_timestamp_test_SOURCES) map_test.c misc_lib_test.c \
	path_test.c $(queue_test_SOURCES) rb-tree-test.c \
	$(refcount_test_SOURCES) regex_test.c ring_buffer_test.c \
	sequence_test.c set_test.c $(stack_test_SOURCES) \
	string_lib_test.c $(string_sequence_test_SOURCES) \
	string_writer_test.c thread_test.c \
	$(threaded_deque_test_SOURCES) $(threaded_queue_test_SOURCES) \
	$(threaded_stack_test_SOURCES) version_comparison_test.c \
	$(xml_writer_test_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BREW = @BREW@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CF3_CFLAGS = @CF3_CFLAGS@
CFLAGS = @CFLAGS@
CORE_CFLAGS = @CORE_CFLAGS@
CORE_CPPFLAGS = @CORE_CPPFLAGS@
CORE_LDFLAGS = @CORE_LDFLAGS@
CORE_LIBS = @CORE_LIBS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEBUG_CFLAGS = @DEBUG_CFLAGS@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GETCONF = @GETCONF@
GREP = @GREP@
HAVE_CLOCKID_T_DEFINE = @HAVE_CLOCKID_T_DEFINE@
HAVE_GETOPT_H_DEFINE = @HAVE_GETOPT_H_DEFINE@
HAVE_LIBYAML_DEFINE = @HAVE_LIBYAML_DEFINE@
HOSTNAME = @HOSTNAME@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LCOV = @LCOV@
LCOV_GENHTML = @LCOV_GENHTML@
LD = @LD@
LDFLAGS = @LDFLAGS@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBOBJS = @LIBOBJS@

# automake does not support "maude_LIBS" variables. We can only alter
# the generic LIBS one. In case the functions are mocked in the test
# implementation, then we are pretty sure that they will be overriden by
# our local implementation. So we include *everything*...
LIBS = $(CORE_LIBS)
LIBTOOL = @LIBTOOL@
LIBYAML_CFLAGS = @LIBYAML_CFLAGS@
LIBYAML_CPPFLAGS = @LIBYAML_CPPFLAGS@
LIBYAML_LDFLAGS = @LIBYAML_LDFLAGS@
LIBYAML_LIBS = @LIBYAML_LIBS@
LIBYAML_PATH = @LIBYAML_PATH@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
NO_TAUTOLOGICAL_CC_OPTION = @NO_TAUTOLOGICAL_CC_OPTION@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
OPENSSL_CPPFLAGS = @OPENSSL_CPPFLAGS@
OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
OPENSSL_LIBS = @OPENSSL_LIBS@
OPENSSL_PATH = @OPENSSL_PATH@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRE2_CFLAGS = @PCRE2_CFLAGS@
PCRE2_CPPFLAGS = @PCRE2_CPPFLAGS@
PCRE2_LDFLAGS = @PCRE2_LDFLAGS@
PCRE2_LIBS = @PCRE2_LIBS@
PCRE2_PATH = @PCRE2_PATH@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
SYSTEMD_LOGGING_CFLAGS = @SYSTEMD_LOGGING_CFLAGS@
SYSTEMD_LOGGING_CPPFLAGS = @SYSTEMD_LOGGING_CPPFLAGS@
SYSTEMD_LOGGING_LDFLAGS = @SYSTEMD_LOGGING_LDFLAGS@
SYSTEMD_LOGGING_LIBS = @SYSTEMD_LOGGING_LIBS@
SYSTEMD_LOGGING_PATH = @SYSTEMD_LOGGING_PATH@
VERSION = @VERSION@
WITH_PCRE2_DEFINE = @WITH_PCRE2_DEFINE@
YACC = @YACC@
YFLAGS = @YFLAGS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
acx_pthread_config = @acx_pthread_config@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
hw_cv_func_ctime_proper = @hw_cv_func_ctime_proper@
hw_cv_func_mkdir_proper = @hw_cv_func_mkdir_proper@
hw_cv_func_rename_proper = @hw_cv_func_rename_proper@
hw_cv_func_stat_proper = @hw_cv_func_stat_proper@
includedir = @includedir@
infodir = @infodir@
inputdir = @inputdir@
install_sh = @install_sh@
keydir = @keydir@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
logdir = @logdir@
mandir = @mandir@
masterdir = @masterdir@
mkdir_p = @mkdir_p@
moduledir = @moduledir@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
piddir = @piddir@
prefix = @prefix@
program_transform_name = @program_transform_name@
projlibdir = @projlibdir@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
statedir = @statedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
workdir = @workdir@

#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
# To the extent this program is licensed as part of the Enterprise
# versions of CFEngine, the applicable Commercial Open Source License
# (COSL) may apply to this file if you as a licensee so wish it. See
# included file COSL.txt.
#
# Just recursively include in dist tarball all data we need for unit tests
EXTRA_DIST = data
AM_CPPFLAGS = $(CORE_CPPFLAGS) \
	$(ENTERPRISE_CFLAGS) \
	-I$(srcdir)/../../libutils \
	-DTESTDATADIR='"$(srcdir)/data"'

AM_CFLAGS = $(CORE_CFLAGS) $(PTHREAD_CFLAGS)
LDADD = libtest.la
AM_LDFLAGS = $(CORE_LDFLAGS)
check_LTLIBRARIES = libtest.la
libtest_la_SOURCES = cmockery.c cmockery.h schema.h test.c test.h
libtest_la_LIBADD = ../../libutils/libutils.la ../../libcompat/libcompat.la $(PCRE_LIBS) $(OPENSSL_LIBS) $(SYSTEMD_LOGGING_LIBS) $(LIBYAML_LIBS)
TESTS = $(check_PROGRAMS)

#
# OS X uses real system calls instead of our stubs unless this option is used
#
TESTS_ENVIRONMENT = DYLD_FORCE_FLAT_NAMESPACE=yes
cleanup_test_SOURCES = cleanup_test.c
csv_writer_test_SOURCES = csv_writer_test.c
csv_writer_test_LDADD = libtest.la
xml_writer_test_SOURCES = xml_writer_test.c
xml_writer_test_LDADD = libtest.la
list_test_SOURCES = list_test.c
refcount_test_SOURCES = refcount_test.c
buffer_test_SOURCES = buffer_test.c
# Workaround for object file basename conflicts, search the web for
# "automake created with both libtool and without"
buffer_test_CPPFLAGS = $(AM_CPPFLAGS)
csv_parser_test_SOURCES = csv_parser_test.c
csv_parser_test_LDADD = libtest.la

#file_writer_test_CPPFLAGS = -I$(top_srcdir)/libutils
file_writer_test_SOURCES = file_writer_test.c $(am__append_3)
CLEANFILES = *.gcno *.gcda cfengine-enterprise.so
file_lib_test_SOURCES = file_lib_test.c
file_lib_test_CPPFLAGS = $(AM_CPPFLAGS) -DTEST_SYMLINK_ATOMICITY
ipaddress_test_SOURCES = ipaddress_test.c
ipaddress_test_CPPFLAGS = $(AM_CPPFLAGS)
logging_timestamp_test_SOURCES = logging_timestamp_test.c \
	../../libutils/logging.h

hash_test_SOURCES = hash_test.c
libcompat_test_CPPFLAGS = -I$(top_srcdir)/libcompat -I$(top_srcdir)/libutils
libcompat_test_SOURCES = libcompat_test.c

# Silence some warnings about generated comparisions always being false:
# (The test generates some comparisons which compare an int to something
# bigger than INT_MAX)
misc_lib_test_CFLAGS = $(AM_CFLAGS) $(NO_TAUTOLOGICAL_CC_OPTION)
queue_test_SOURCES = queue_test.c
stack_test_SOURCES = stack_test.c
threaded_queue_test_SOURCES = threaded_queue_test.c
threaded_deque_test_SOURCES = threaded_deque_test.c
threaded_stack_test_SOURCES = threaded_stack_test.c
file_lock_test_SOURCES = file_lock_test.c
glob_lib_test_SOURCES = glob_lib_test.c
string_sequence_test_SOURCES = string_sequence_test.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/unit/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/unit/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkLTLIBRARIES:
	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
	@list='$(check_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libtest.la: $(libtest_la_OBJECTS) $(libtest_la_DEPENDENCIES) $(EXTRA_libtest_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(LINK)  $(libtest_la_OBJECTS) $(libtest_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

alloc_test$(EXEEXT): $(alloc_test_OBJECTS) $(alloc_test_DEPENDENCIES) $(EXTRA_alloc_test_DEPENDENCIES) 
	@rm -f alloc_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(alloc_test_OBJECTS) $(alloc_test_LDADD) $(LIBS)

buffer_test$(EXEEXT): $(buffer_test_OBJECTS) $(buffer_test_DEPENDENCIES) $(EXTRA_buffer_test_DEPENDENCIES) 
	@rm -f buffer_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(buffer_test_OBJECTS) $(buffer_test_LDADD) $(LIBS)

cleanup_test$(EXEEXT): $(cleanup_test_OBJECTS) $(cleanup_test_DEPENDENCIES) $(EXTRA_cleanup_test_DEPENDENCIES) 
	@rm -f cleanup_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(cleanup_test_OBJECTS) $(cleanup_test_LDADD) $(LIBS)

condition_macros_test$(EXEEXT): $(condition_macros_test_OBJECTS) $(condition_macros_test_DEPENDENCIES) $(EXTRA_condition_macros_test_DEPENDENCIES) 
	@rm -f condition_macros_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(condition_macros_test_OBJECTS) $(condition_macros_test_LDADD) $(LIBS)

csv_parser_test$(EXEEXT): $(csv_parser_test_OBJECTS) $(csv_parser_test_DEPENDENCIES) $(EXTRA_csv_parser_test_DEPENDENCIES) 
	@rm -f csv_parser_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(csv_parser_test_OBJECTS) $(csv_parser_test_LDADD) $(LIBS)

csv_writer_test$(EXEEXT): $(csv_writer_test_OBJECTS) $(csv_writer_test_DEPENDENCIES) $(EXTRA_csv_writer_test_DEPENDENCIES) 
	@rm -f csv_writer_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(csv_writer_test_OBJECTS) $(csv_writer_test_LDADD) $(LIBS)

definitions_test$(EXEEXT): $(definitions_test_OBJECTS) $(definitions_test_DEPENDENCIES) $(EXTRA_definitions_test_DEPENDENCIES) 
	@rm -f definitions_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(definitions_test_OBJECTS) $(definitions_test_LDADD) $(LIBS)

env_file_test$(EXEEXT): $(env_file_test_OBJECTS) $(env_file_test_DEPENDENCIES) $(EXTRA_env_file_test_DEPENDENCIES) 
	@rm -f env_file_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(env_file_test_OBJECTS) $(env_file_test_LDADD) $(LIBS)

file_lib_test$(EXEEXT): $(file_lib_test_OBJECTS) $(file_lib_test_DEPENDENCIES) $(EXTRA_file_lib_test_DEPENDENCIES) 
	@rm -f file_lib_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(file_lib_test_OBJECTS) $(file_lib_test_LDADD) $(LIBS)

file_lock_test$(EXEEXT): $(file_lock_test_OBJECTS) $(file_lock_test_DEPENDENCIES) $(EXTRA_file_lock_test_DEPENDENCIES) 
	@rm -f file_lock_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(file_lock_test_OBJECTS) $(file_lock_test_LDADD) $(LIBS)

file_writer_test$(EXEEXT): $(file_writer_test_OBJECTS) $(file_writer_test_DEPENDENCIES) $(EXTRA_file_writer_test_DEPENDENCIES) 
	@rm -f file_writer_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(file_writer_test_OBJECTS) $(file_writer_test_LDADD) $(LIBS)

fsattrs_test$(EXEEXT): $(fsattrs_test_OBJECTS) $(fsattrs_test_DEPENDENCIES) $(EXTRA_fsattrs_test_DEPENDENCIES) 
	@rm -f fsattrs_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fsattrs_test_OBJECTS) $(fsattrs_test_LDADD) $(LIBS)

glob_lib_test$(EXEEXT): $(glob_lib_test_OBJECTS) $(glob_lib_test_DEPENDENCIES) $(EXTRA_glob_lib_test_DEPENDENCIES) 
	@rm -f glob_lib_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(glob_lib_test_OBJECTS) $(glob_lib_test_LDADD) $(LIBS)

hash_test$(EXEEXT): $(hash_test_OBJECTS) $(hash_test_DEPENDENCIES) $(EXTRA_hash_test_DEPENDENCIES) 
	@rm -f hash_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(hash_test_OBJECTS) $(hash_test_LDADD) $(LIBS)

ipaddress_test$(EXEEXT): $(ipaddress_test_OBJECTS) $(ipaddress_test_DEPENDENCIES) $(EXTRA_ipaddress_test_DEPENDENCIES) 
	@rm -f ipaddress_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(ipaddress_test_OBJECTS) $(ipaddress_test_LDADD) $(LIBS)

json_test$(EXEEXT): $(json_test_OBJECTS) $(json_test_DEPENDENCIES) $(EXTRA_json_test_DEPENDENCIES) 
	@rm -f json_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(json_test_OBJECTS) $(json_test_LDADD) $(LIBS)

libcompat_test$(EXEEXT): $(libcompat_test_OBJECTS) $(libcompat_test_DEPENDENCIES) $(EXTRA_libcompat_test_DEPENDENCIES) 
	@rm -f libcompat_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(libcompat_test_OBJECTS) $(libcompat_test_LDADD) $(LIBS)

list_test$(EXEEXT): $(list_test_OBJECTS) $(list_test_DEPENDENCIES) $(EXTRA_list_test_DEPENDENCIES) 
	@rm -f list_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(list_test_OBJECTS) $(list_test_LDADD) $(LIBS)

logging_timestamp_test$(EXEEXT): $(logging_timestamp_test_OBJECTS) $(logging_timestamp_test_DEPENDENCIES) $(EXTRA_logging_timestamp_test_DEPENDENCIES) 
	@rm -f logging_timestamp_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(logging_timestamp_test_OBJECTS) $(logging_timestamp_test_LDADD) $(LIBS)

map_test$(EXEEXT): $(map_test_OBJECTS) $(map_test_DEPENDENCIES) $(EXTRA_map_test_DEPENDENCIES) 
	@rm -f map_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(map_test_OBJECTS) $(map_test_LDADD) $(LIBS)

misc_lib_test$(EXEEXT): $(misc_lib_test_OBJECTS) $(misc_lib_test_DEPENDENCIES) $(EXTRA_misc_lib_test_DEPENDENCIES) 
	@rm -f misc_lib_test$(EXEEXT)
	$(AM_V_CCLD)$(misc_lib_test_LINK) $(misc_lib_test_OBJECTS) $(misc_lib_test_LDADD) $(LIBS)

path_test$(EXEEXT): $(path_test_OBJECTS) $(path_test_DEPENDENCIES) $(EXTRA_path_test_DEPENDENCIES) 
	@rm -f path_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(path_test_OBJECTS) $(path_test_LDADD) $(LIBS)

queue_test$(EXEEXT): $(queue_test_OBJECTS) $(queue_test_DEPENDENCIES) $(EXTRA_queue_test_DEPENDENCIES) 
	@rm -f queue_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(queue_test_OBJECTS) $(queue_test_LDADD) $(LIBS)

rb-tree-test$(EXEEXT): $(rb_tree_test_OBJECTS) $(rb_tree_test_DEPENDENCIES) $(EXTRA_rb_tree_test_DEPENDENCIES) 
	@rm -f rb-tree-test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rb_tree_test_OBJECTS) $(rb_tree_test_LDADD) $(LIBS)

refcount_test$(EXEEXT): $(refcount_test_OBJECTS) $(refcount_test_DEPENDENCIES) $(EXTRA_refcount_test_DEPENDENCIES) 
	@rm -f refcount_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(refcount_test_OBJECTS) $(refcount_test_LDADD) $(LIBS)

regex_test$(EXEEXT): $(regex_test_OBJECTS) $(regex_test_DEPENDENCIES) $(EXTRA_regex_test_DEPENDENCIES) 
	@rm -f regex_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(regex_test_OBJECTS) $(regex_test_LDADD) $(LIBS)

ring_buffer_test$(EXEEXT): $(ring_buffer_test_OBJECTS) $(ring_buffer_test_DEPENDENCIES) $(EXTRA_ring_buffer_test_DEPENDENCIES) 
	@rm -f ring_buffer_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(ring_buffer_test_OBJECTS) $(ring_buffer_test_LDADD) $(LIBS)

sequence_test$(EXEEXT): $(sequence_test_OBJECTS) $(sequence_test_DEPENDENCIES) $(EXTRA_sequence_test_DEPENDENCIES) 
	@rm -f sequence_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(sequence_test_OBJECTS) $(sequence_test_LDADD) $(LIBS)

set_test$(EXEEXT): $(set_test_OBJECTS) $(set_test_DEPENDENCIES) $(EXTRA_set_test_DEPENDENCIES) 
	@rm -f set_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(set_test_OBJECTS) $(set_test_LDADD) $(LIBS)

stack_test$(EXEEXT): $(stack_test_OBJECTS) $(stack_test_DEPENDENCIES) $(EXTRA_stack_test_DEPENDENCIES) 
	@rm -f stack_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(stack_test_OBJECTS) $(stack_test_LDADD) $(LIBS)

string_lib_test$(EXEEXT): $(string_lib_test_OBJECTS) $(string_lib_test_DEPENDENCIES) $(EXTRA_string_lib_test_DEPENDENCIES) 
	@rm -f string_lib_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(string_lib_test_OBJECTS) $(string_lib_test_LDADD) $(LIBS)

string_sequence_test$(EXEEXT): $(string_sequence_test_OBJECTS) $(string_sequence_test_DEPENDENCIES) $(EXTRA_string_sequence_test_DEPENDENCIES) 
	@rm -f string_sequence_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(string_sequence_test_OBJECTS) $(string_sequence_test_LDADD) $(LIBS)

string_writer_test$(EXEEXT): $(string_writer_test_OBJECTS) $(string_writer_test_DEPENDENCIES) $(EXTRA_string_writer_test_DEPENDENCIES) 
	@rm -f string_writer_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(string_writer_test_OBJECTS) $(string_writer_test_LDADD) $(LIBS)

thread_test$(EXEEXT): $(thread_test_OBJECTS) $(thread_test_DEPENDENCIES) $(EXTRA_thread_test_DEPENDENCIES) 
	@rm -f thread_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(thread_test_OBJECTS) $(thread_test_LDADD) $(LIBS)

threaded_deque_test$(EXEEXT): $(threaded_deque_test_OBJECTS) $(threaded_deque_test_DEPENDENCIES) $(EXTRA_threaded_deque_test_DEPENDENCIES) 
	@rm -f threaded_deque_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(threaded_deque_test_OBJECTS) $(threaded_deque_test_LDADD) $(LIBS)

threaded_queue_test$(EXEEXT): $(threaded_queue_test_OBJECTS) $(threaded_queue_test_DEPENDENCIES) $(EXTRA_threaded_queue_test_DEPENDENCIES) 
	@rm -f threaded_queue_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(threaded_queue_test_OBJECTS) $(threaded_queue_test_LDADD) $(LIBS)

threaded_stack_test$(EXEEXT): $(threaded_stack_test_OBJECTS) $(threaded_stack_test_DEPENDENCIES) $(EXTRA_threaded_stack_test_DEPENDENCIES) 
	@rm -f threaded_stack_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(threaded_stack_test_OBJECTS) $(threaded_stack_test_LDADD) $(LIBS)

version_comparison_test$(EXEEXT): $(version_comparison_test_OBJECTS) $(version_comparison_test_DEPENDENCIES) $(EXTRA_version_comparison_test_DEPENDENCIES) 
	@rm -f version_comparison_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(version_comparison_test_OBJECTS) $(version_comparison_test_LDADD) $(LIBS)

xml_writer_test$(EXEEXT): $(xml_writer_test_OBJECTS) $(xml_writer_test_DEPENDENCIES) $(EXTRA_xml_writer_test_DEPENDENCIES) 
	@rm -f xml_writer_test$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(xml_writer_test_OBJECTS) $(xml_writer_test_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buffer_test-buffer_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cleanup_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmockery.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/condition_macros_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/csv_parser_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/csv_writer_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/definitions_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/env_file_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file_lib_test-file_lib_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file_lock_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file_writer_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fsattrs_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gcov-stub.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glob_lib_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ipaddress_test-ipaddress_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/json_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompat_test-libcompat_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/list_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logging_timestamp_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/map_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc_lib_test-misc_lib_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/path_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/queue_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rb-tree-test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/refcount_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regex_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ring_buffer_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sequence_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/set_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stack_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string_lib_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string_sequence_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string_writer_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thread_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threaded_deque_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threaded_queue_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threaded_stack_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version_comparison_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xml_writer_test.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

buffer_test-buffer_test.o: buffer_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(buffer_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT buffer_test-buffer_test.o -MD -MP -MF $(DEPDIR)/buffer_test-buffer_test.Tpo -c -o buffer_test-buffer_test.o `test -f 'buffer_test.c' || echo '$(srcdir)/'`buffer_test.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/buffer_test-buffer_test.Tpo $(DEPDIR)/buffer_test-buffer_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='buffer_test.c' object='buffer_test-buffer_test.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(buffer_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o buffer_test-buffer_test.o `test -f 'buffer_test.c' || echo '$(srcdir)/'`buffer_test.c

buffer_test-buffer_test.obj: buffer_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(buffer_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT buffer_test-buffer_test.obj -MD -MP -MF $(DEPDIR)/buffer_test-buffer_test.Tpo -c -o buffer_test-buffer_test.obj `if test -f 'buffer_test.c'; then $(CYGPATH_W) 'buffer_test.c'; else $(CYGPATH_W) '$(srcdir)/buffer_test.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/buffer_test-buffer_test.Tpo $(DEPDIR)/buffer_test-buffer_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='buffer_test.c' object='buffer_test-buffer_test.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(buffer_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o buffer_test-buffer_test.obj `if test -f 'buffer_test.c'; then $(CYGPATH_W) 'buffer_test.c'; else $(CYGPATH_W) '$(srcdir)/buffer_test.c'; fi`

file_lib_test-file_lib_test.o: file_lib_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(file_lib_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT file_lib_test-file_lib_test.o -MD -MP -MF $(DEPDIR)/file_lib_test-file_lib_test.Tpo -c -o file_lib_test-file_lib_test.o `test -f 'file_lib_test.c' || echo '$(srcdir)/'`file_lib_test.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/file_lib_test-file_lib_test.Tpo $(DEPDIR)/file_lib_test-file_lib_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='file_lib_test.c' object='file_lib_test-file_lib_test.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(file_lib_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o file_lib_test-file_lib_test.o `test -f 'file_lib_test.c' || echo '$(srcdir)/'`file_lib_test.c

file_lib_test-file_lib_test.obj: file_lib_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(file_lib_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT file_lib_test-file_lib_test.obj -MD -MP -MF $(DEPDIR)/file_lib_test-file_lib_test.Tpo -c -o file_lib_test-file_lib_test.obj `if test -f 'file_lib_test.c'; then $(CYGPATH_W) 'file_lib_test.c'; else $(CYGPATH_W) '$(srcdir)/file_lib_test.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/file_lib_test-file_lib_test.Tpo $(DEPDIR)/file_lib_test-file_lib_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='file_lib_test.c' object='file_lib_test-file_lib_test.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(file_lib_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o file_lib_test-file_lib_test.obj `if test -f 'file_lib_test.c'; then $(CYGPATH_W) 'file_lib_test.c'; else $(CYGPATH_W) '$(srcdir)/file_lib_test.c'; fi`

ipaddress_test-ipaddress_test.o: ipaddress_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(ipaddress_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ipaddress_test-ipaddress_test.o -MD -MP -MF $(DEPDIR)/ipaddress_test-ipaddress_test.Tpo -c -o ipaddress_test-ipaddress_test.o `test -f 'ipaddress_test.c' || echo '$(srcdir)/'`ipaddress_test.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/ipaddress_test-ipaddress_test.Tpo $(DEPDIR)/ipaddress_test-ipaddress_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='ipaddress_test.c' object='ipaddress_test-ipaddress_test.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(ipaddress_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ipaddress_test-ipaddress_test.o `test -f 'ipaddress_test.c' || echo '$(srcdir)/'`ipaddress_test.c

ipaddress_test-ipaddress_test.obj: ipaddress_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(ipaddress_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ipaddress_test-ipaddress_test.obj -MD -MP -MF $(DEPDIR)/ipaddress_test-ipaddress_test.Tpo -c -o ipaddress_test-ipaddress_test.obj `if test -f 'ipaddress_test.c'; then $(CYGPATH_W) 'ipaddress_test.c'; else $(CYGPATH_W) '$(srcdir)/ipaddress_test.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/ipaddress_test-ipaddress_test.Tpo $(DEPDIR)/ipaddress_test-ipaddress_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='ipaddress_test.c' object='ipaddress_test-ipaddress_test.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(ipaddress_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ipaddress_test-ipaddress_test.obj `if test -f 'ipaddress_test.c'; then $(CYGPATH_W) 'ipaddress_test.c'; else $(CYGPATH_W) '$(srcdir)/ipaddress_test.c'; fi`

libcompat_test-libcompat_test.o: libcompat_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcompat_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcompat_test-libcompat_test.o -MD -MP -MF $(DEPDIR)/libcompat_test-libcompat_test.Tpo -c -o libcompat_test-libcompat_test.o `test -f 'libcompat_test.c' || echo '$(srcdir)/'`libcompat_test.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libcompat_test-libcompat_test.Tpo $(DEPDIR)/libcompat_test-libcompat_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='libcompat_test.c' object='libcompat_test-libcompat_test.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcompat_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcompat_test-libcompat_test.o `test -f 'libcompat_test.c' || echo '$(srcdir)/'`libcompat_test.c

libcompat_test-libcompat_test.obj: libcompat_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcompat_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcompat_test-libcompat_test.obj -MD -MP -MF $(DEPDIR)/libcompat_test-libcompat_test.Tpo -c -o libcompat_test-libcompat_test.obj `if test -f 'libcompat_test.c'; then $(CYGPATH_W) 'libcompat_test.c'; else $(CYGPATH_W) '$(srcdir)/libcompat_test.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libcompat_test-libcompat_test.Tpo $(DEPDIR)/libcompat_test-libcompat_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='libcompat_test.c' object='libcompat_test-libcompat_test.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcompat_test_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcompat_test-libcompat_test.obj `if test -f 'libcompat_test.c'; then $(CYGPATH_W) 'libcompat_test.c'; else $(CYGPATH_W) '$(srcdir)/libcompat_test.c'; fi`

misc_lib_test-misc_lib_test.o: misc_lib_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(misc_lib_test_CFLAGS) $(CFLAGS) -MT misc_lib_test-misc_lib_test.o -MD -MP -MF $(DEPDIR)/misc_lib_test-misc_lib_test.Tpo -c -o misc_lib_test-misc_lib_test.o `test -f 'misc_lib_test.c' || echo '$(srcdir)/'`misc_lib_test.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/misc_lib_test-misc_lib_test.Tpo $(DEPDIR)/misc_lib_test-misc_lib_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='misc_lib_test.c' object='misc_lib_test-misc_lib_test.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(misc_lib_test_CFLAGS) $(CFLAGS) -c -o misc_lib_test-misc_lib_test.o `test -f 'misc_lib_test.c' || echo '$(srcdir)/'`misc_lib_test.c

misc_lib_test-misc_lib_test.obj: misc_lib_test.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(misc_lib_test_CFLAGS) $(CFLAGS) -MT misc_lib_test-misc_lib_test.obj -MD -MP -MF $(DEPDIR)/misc_lib_test-misc_lib_test.Tpo -c -o misc_lib_test-misc_lib_test.obj `if test -f 'misc_lib_test.c'; then $(CYGPATH_W) 'misc_lib_test.c'; else $(CYGPATH_W) '$(srcdir)/misc_lib_test.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/misc_lib_test-misc_lib_test.Tpo $(DEPDIR)/misc_lib_test-misc_lib_test.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='misc_lib_test.c' object='misc_lib_test-misc_lib_test.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(misc_lib_test_CFLAGS) $(CFLAGS) -c -o misc_lib_test-misc_lib_test.obj `if test -f 'misc_lib_test.c'; then $(CYGPATH_W) 'misc_lib_test.c'; else $(CYGPATH_W) '$(srcdir)/misc_lib_test.c'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	$(am__tty_colors); \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		col=$$red; res=XPASS; \
	      ;; \
	      *) \
		col=$$grn; res=PASS; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		col=$$lgn; res=XFAIL; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		col=$$red; res=FAIL; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      col=$$blu; res=SKIP; \
	    fi; \
	    echo "$${col}$$res$${std}: $$tst"; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  if test "$$failed" -eq 0; then \
	    col="$$grn"; \
	  else \
	    col="$$red"; \
	  fi; \
	  echo "$${col}$$dashes$${std}"; \
	  echo "$${col}$$banner$${std}"; \
	  test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
	  test -z "$$report" || echo "$${col}$$report$${std}"; \
	  echo "$${col}$$dashes$${std}"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
	clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local cscopelist-am ctags ctags-am \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am

.PRECIOUS: Makefile


clean-local:
	rm -rf test_glob_file_list_??????

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
